# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TGetInfoType

Packages that use TGetInfoType
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetInfoType in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetInfoType in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TGetInfoType`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetInfoType
Modifier and Type
Field
Description
`TGetInfoType`
TGetInfoReq.`infoType`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TGetInfoType
Modifier and Type
Field
Description
`List<TGetInfoType>`
TOpenSessionReq.`getInfos`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetInfoType
Modifier and Type
Method
Description
`static TGetInfoType`
TGetInfoType.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TGetInfoType`
TGetInfoReq.`getInfoType()`
`static TGetInfoType`
TGetInfoType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetInfoType[]`
TGetInfoType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetInfoType
Modifier and Type
Method
Description
`List<TGetInfoType>`
TOpenSessionReq.`getGetInfos()`
`Iterator<TGetInfoType>`
TOpenSessionReq.`getGetInfosIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoType
Modifier and Type
Method
Description
`void`
TOpenSessionReq.`addToGetInfos(TGetInfoType elem)`
`TGetInfoReq`
TGetInfoReq.`setInfoType(TGetInfoType infoType)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetInfoType
Modifier and Type
Method
Description
`TOpenSessionReq`
TOpenSessionReq.`setGetInfos(List<TGetInfoType> getInfos)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoType
Modifier
Constructor
Description
``
`TGetInfoReq(TSessionHandle sessionHandle, TGetInfoType infoType)`